package domain


type AlibabaTclsAelophyMerchantChannelOrderCreateBuyer struct {
    /*
        买家标识     */
    UserId  *string `json:"user_id,omitempty" `

    /*
        买家用户名     */
    UserName  *string `json:"user_name,omitempty" `

    /*
        买家昵称     */
    UserNick  *string `json:"user_nick,omitempty" `

    /*
        买家电话     */
    Phone  *string `json:"phone,omitempty" `

    /*
        买家备注     */
    UserMemo  *string `json:"user_memo,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelOrderCreateBuyer) SetUserId(v string) *AlibabaTclsAelophyMerchantChannelOrderCreateBuyer {
    s.UserId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateBuyer) SetUserName(v string) *AlibabaTclsAelophyMerchantChannelOrderCreateBuyer {
    s.UserName = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateBuyer) SetUserNick(v string) *AlibabaTclsAelophyMerchantChannelOrderCreateBuyer {
    s.UserNick = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateBuyer) SetPhone(v string) *AlibabaTclsAelophyMerchantChannelOrderCreateBuyer {
    s.Phone = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateBuyer) SetUserMemo(v string) *AlibabaTclsAelophyMerchantChannelOrderCreateBuyer {
    s.UserMemo = &v
    return s
}
